-------------------------------------------------------------------------------------------
   function OnSceneEnter()
    UI:Helper("up", false) 
	UI:Helper("down", false) 
--[[ rozpoczecie dialogu z kloaszardem jak porozmawialismy z Irene
	if s.dlg_s01_05==1 and s.dlg_s01_06==0 then	
		Sleep(1500)
		GoTo("s01_0401_square")
-- rozpoczecie dialogu z kloaszardem jak mamy salatke i napoj
	elseif s.i_kuskus==1 and s.i_fruitdrink==1 and s.dlg_s01_07==0 then
		Sleep(1500)
		GoTo("s01_0401_square")
-- rozpoczecie dialogu z kloaszardem jak porozmawialismy z policjantem o tragedii
	elseif s.dlg_s01_09==1 and s.dlg_s01_12==0  then
		Sleep(1500)
		GoTo("s01_0401_square")
-- rozpoczecie dialogu po ucieczce Irene
	elseif s.dlg_s01_16==1 and s.dlg_s01_17==0  then
		Sleep(1500)
		GoTo("s01_0401_square")
	end
	]]
	if s.dlg_s01_10==1 and s.com_s01_0400_01_hero==0  then
		Talk("com_s01_0400_01_hero")
	end
	if s.dlg_s01_12==1 and s.com_s01_0400_02_hero==0  then
		Talk("com_s01_0400_02_hero")
	end
	if s.dlg_s01_06==1 and s.com_s01_0400_04_hero==0  then
		Talk("com_s01_0400_04_hero")
	end
	if s.s01_0400_avenue_visit==0  then
		Talk("com_s01_0400_03_hero")
	end
	if s.s01_0400_avenue_visit==1  then
		ShowGameHint("game_hint_6")
		if s.s01_0403_hint_show==0 then
			UI:Helper("down", true,Ogre.Vector2(85,585), 7 ) 
		end
	end
	if s.com_s01_0403_04_hero==1 and s.com_s01_0408_01_hero==0 and s.i_cigarette==0 then
		Talk("com_s01_0408_01_hero")
	end
    
    StartSkyMotion(0.6, -0.382031143, 1.9, -0.382031143 )
end
-------------------------------------------------------------------------------------------

function OnUpdate()
    UpdateSkyMotion(self)
end